#! /bin/sh
# 5799-WZQ (C) COPYRIGHT = NONE
# LICENSED MATERIALS - PROPERTY OF IBM
#
# $Header:restseq.sh 12.0$ 
# $ACIS:restseq.sh 12.0$ 
# $Source: /ibm/acis/usr/src/new/notes/utility/seq-cvt/RCS/restseq.sh,v $ 

: This shell script executes the program to convert a sequencer
:	file with ascii dates into a file with binary dates

for i
do

case $i in

all)	old = `pwd`
	cd /tmp/seq
	for j in `ls [a-z]*`
	do
	/usr/local/seqtobinary /usr/notes/.sequencer/$j < /tmp/seq/$j
	done
	rm -f /tmp/seq/*
	cd $old
	echo "Sequencer file(s) restored."
	;;

*)	/usr/local/seqtobinary /usr/notes/.sequencer/$i < /tmp/seq/$i
	rm -f /tmp/seq/$i
	echo "Sequencer file(s) restored."
	;;

esac

done
